Index: src/Makefile.in
===================================================================
RCS file: /cvsroot/squid/squid/src/Makefile.in,v
retrieving revision 1.10
diff -u -p -r1.10 Makefile.in
--- src/Makefile.in	2001/05/05 20:47:38	1.10
+++ src/Makefile.in	2001/08/18 14:00:01
@@ -206,7 +206,7 @@ SSL_OBJS 	= ssl_support.o
 DEFAULTS        = \
 	-DDEFAULT_CONFIG_FILE=\"$(DEFAULT_CONFIG_FILE)\"
 
-all:    squid.conf
+all:    squid.conf.default
 	@for dir in $(SUBDIRS); do \
 		echo "Making $@ in $$dir..."; \
 		(cd $$dir ; $(MAKE) $(MFLAGS) prefix="$(prefix)" $@) || exit 1; \
@@ -255,8 +255,8 @@ test_cache_digest: test_cache_digest.o C
 
 cache_cf.o: cf_parser.c
 
-squid.conf: cf_parser.c
-	@sh -c "test -f squid.conf || ./cf_gen cf.data"
+squid.conf.default: cf_parser.c
+	@sh -c "test -f squid.conf.default || ./cf_gen cf.data"
 
 cf_parser.c: cf.data cf_gen
 	./cf_gen cf.data
@@ -393,12 +393,12 @@ install: all install-mkdirs
 		fi; \
 	done
 	$(INSTALL_FILE) $(srcdir)/mib.txt $(DEFAULT_MIB_PATH)
-	$(INSTALL_FILE) squid.conf $(sysconfdir)/squid.conf.default
+	$(INSTALL_FILE) squid.conf.default $(sysconfdir)/squid.conf.default
 	@if test -f $(sysconfdir)/squid.conf ; then \
 		echo "$@ will not overwrite existing $(sysconfdir)/squid.conf" ; \
 	else \
-		echo "$(INSTALL_FILE) squid.conf $(sysconfdir)"; \
-		$(INSTALL_FILE) squid.conf $(sysconfdir); \
+		echo "$(INSTALL_FILE) squid.conf.default $(sysconfdir)"; \
+		$(INSTALL_FILE) squid.conf.default $(sysconfdir); \
 	fi
 
 	$(INSTALL_FILE) $(srcdir)/mime.conf $(sysconfdir)/mime.conf.default
@@ -425,7 +425,7 @@ install-pinger:
 clean: 
 	-rm -rf *.o *pure_* core $(PROGS) $(UTILS) $(CGIPROGS) $(SUID_UTILS)
 	-rm -f cf_gen cf_gen_defines.h cf_parser.c cf.data globals.c string_arrays.c
-	-rm -f store_modules.c repl_modules.c auth_modules.c squid.conf
+	-rm -f store_modules.c repl_modules.c auth_modules.c squid.conf.default
 	@for dir in $(SUBDIRS); do \
 		echo "Making $@ in $$dir..."; \
 		(cd $$dir ; $(MAKE) $(MFLAGS) prefix="$(prefix)" $@) || exit 1; \
Index: src/cf_gen.c
===================================================================
RCS file: /cvsroot/squid/squid/src/cf_gen.c,v
retrieving revision 1.7
diff -u -p -r1.7 cf_gen.c
--- src/cf_gen.c	2001/01/12 08:20:32	1.7
+++ src/cf_gen.c	2001/08/18 14:00:01
@@ -1,8 +1,8 @@
 
 /*
- * $Id: cf_gen.c,v 1.7 2001/01/12 08:20:32 hno Exp $
+ * $Id$
  *
- * DEBUG: none          Generate squid.conf and cf_parser.c
+ * DEBUG: none          Generate squid.conf.default and cf_parser.h
  * AUTHOR: Max Okumoto
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -36,15 +36,15 @@
 /*****************************************************************************
  * Abstract:	This program parses the input file and generates code and
  *		files used to configure the variables in squid.
- *		(ie it creates the squid.conf file from the cf.data file)
+ *		(ie it creates the squid.conf.default file from the cf.data file)
  *
  *		The output files are as follows:
- *		cf_parser.c - this file contains, default_all() which
+ *		cf_parser.h - this file contains, default_all() which
  *			  initializes variables with the default
  *			  values, parse_line() that parses line from
- *			  squid.conf, dump_config that dumps the
+ *			  squid.conf.default, dump_config that dumps the
  *			  current the values of the variables.
- *		squid.conf - default configuration file given to the server
+ *		squid.conf.default - default configuration file given to the server
  *			 administrator.
  *****************************************************************************/
 
@@ -76,8 +76,8 @@
 #include "util.h"
 
 #define MAX_LINE	1024	/* longest configuration line */
-#define _PATH_PARSER		"cf_parser.c"
-#define _PATH_SQUID_CONF	"squid.conf"
+#define _PATH_PARSER		"cf_parser.h"
+#define _PATH_SQUID_CONF	"squid.conf.default"
 
 enum State {
     sSTART,
@@ -325,7 +325,7 @@ main(int argc, char *argv[])
      * Generate parse_line()
      * Generate dump_config()
      * Generate free_all()
-     * Generate example squid.conf file
+     * Generate example squid.conf.default file
      *-------------------------------------------------------------------*/
 
     /* Open output x.c file */

